summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/openstego/README3
-rw-r--r--system/openstego/openstego.SlackBuild6
-rw-r--r--system/openstego/openstego.info6
3 files changed, 10 insertions, 5 deletions
diff --git a/system/openstego/README b/system/openstego/README
index 5f5c99ed88..0879579ef1 100644
--- a/system/openstego/README
+++ b/system/openstego/README
@@ -1,6 +1,7 @@
openstego (the free steganography solution)
-Note: openstego doesn't work with openjdk.
+Note: openstego works with openjdk8, if you prefer not to install the
+Oracle jdk. It does NOT work with openjdk7 or older.
OpenStego is a tool implemented in Java for generic steganography,
with support for password-based encryption of the data.
diff --git a/system/openstego/openstego.SlackBuild b/system/openstego/openstego.SlackBuild
index 1bdad7e1dd..928befcd4c 100644
--- a/system/openstego/openstego.SlackBuild
+++ b/system/openstego/openstego.SlackBuild
@@ -23,6 +23,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20200708 bkw:
+# - Update for v0.7.4.
+# - Add README note about openjdk8.
+
# 20180802 bkw:
# - Take over maintenance.
# - Update for v0.7.3.
@@ -30,7 +34,7 @@
# openstego.sh. This matches upstream's recommendation.
PRGNAM=openstego
-VERSION=${VERSION:-0.7.3}
+VERSION=${VERSION:-0.7.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
diff --git a/system/openstego/openstego.info b/system/openstego/openstego.info
index 4827e4dd5b..2ef7e2490f 100644
--- a/system/openstego/openstego.info
+++ b/system/openstego/openstego.info
@@ -1,8 +1,8 @@
PRGNAM="openstego"
-VERSION="0.7.3"
+VERSION="0.7.4"
HOMEPAGE="https://www.openstego.com/"
-DOWNLOAD="https://github.com/syvaidya/openstego/releases/download/openstego-0.7.3/openstego-0.7.3.zip"
-MD5SUM="65e6acca0faab0774c7b8a6433859c2e"
+DOWNLOAD="https://github.com/syvaidya/openstego/releases/download/openstego-0.7.4/openstego-0.7.4.zip"
+MD5SUM="7b3b893d96e1ceb56c313bd89d9c16e2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="jdk"